Extension broken in Firefox AND Opera after updates.

Options
BigDave56
BigDave56
Community Member

Restarted browser(s)per instructions, no help; restarted computer, still no help. No suggestions on linked help page as to what next if restarting the browser(s) is ineffective. Thanks.


1Password Version: 6.8.9
Extension Version: 4.7.1.90
OS Version: osx 10.13.4
Sync Type: Not Provided

Comments

  • BigDave56
    BigDave56
    Community Member
    Options

    Disabling the extension, closing and restarting the browser, and enabling the extension again seems to have solved the Firefox issue. No luck with Opera.

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    @BigDave56: Thanks for following up! Opera, since it is based on Chrome, is a bit trickier, as a pending update will break things a lot of times. Definitely check to see if you can get the latest version, and let me know the specific version you're using. You said "after updates", but I'm not sure which ones you're referring to. Looking forward to hearing back from you!

  • Andy_A
    Andy_A
    Community Member
    Options

    after downloading 6.8.9 Opera extension not working, also will not download it from your web site.
    Tried emergency kit no help there
    Prior to latest download was working perfectly ??!!

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    @Andy_A: What version of Opera are you using? As I mentioned above,

    a pending update will break things a lot of times. Definitely check to see if you can get the latest version, and let me know the specific version you're using.

    Be sure to update everything and restart your Mac. Let me know how it goes!

  • Andy_A
    Andy_A
    Community Member
    Options

    6.8.9 is now installed, which is the latest version.
    Mac has been restarted multiple times with no avail.
    How do I roll back to the previous version (for now, until there is a fix) ?

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    @Andy_A: A fix for what? An earlier version of 1Password will not work with Opera. That was the entire purpose of the 6.8.9 update. Again, what version of Opera are you using? Have you update it yet?

  • Andy_A
    Andy_A
    Community Member
    Options

    just updated to 53.0.209.57 (latest version)
    Restarted - same as I described before...........nyet
    Once again, the previous version of Password worked just fine... with 6.8.9 it doesn't

  • Andy_A
    Andy_A
    Community Member
    Options

    And........when I go to "install extensions" ..web page opens.......link doesn't work.

  • AGAlumB
    AGAlumB
    1Password Alumni
    edited May 2018
    Options

    @Andy_A: Thank you. To be frank, you did not describe anything before. Are you receiving an error message? There have been many discussions recently about the fact that Opera did not work with previous versions of 1Password for Mac, so reverting to that will definitely not help. Please let me know the specific problem you're having. I'm sure we can find a solution.

  • Andy_A
    Andy_A
    Community Member
    Options

    1) I have been using 1Password for years, never a problem and its working with Safari.
    2) downloaded 6.8.9 and now I can't install its extension to Opera.
    3) takes me to your web site, the download link not working.
    What else do you need to know?
    And I reiterate that the previous version WAS working on my Mac with Opera, Firefox and Safari......

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    @Andy_A: I guess I was expecting that you actually had the 1Password extension installed in Opera, since you said you were using it there before. Did you delete it? It won't work if you can't even install it, and that's not something I can fix for you; all of that's handled by Opera connecting to the Chrome Web Store. I just reinstalled it here:

    https://agilebits.com/onepassword/extensions

    https://chrome.google.com/webstore/detail/1password-extension-deskt/aomjjhallfgjeglblehebfpbcfeobpgk

    What happens when you try to install it? You should see a banner at the top where Opera tells you to click to enable it. If you open the extensions settings in Opera, what do you see? If it's simpler, take a screenshot of this. To include it in your reply, simply click the document button in the top of the comment field, and select the file you wish to share:


     
    Just be sure not to post anything sensitive, as this is a public forum. Thanks in advance!

  • Andy_A
    Andy_A
    Community Member
    Options

    1st link agilebits ...no go
    2nd one worked like a champ
    thanks, problem solved :) :)

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    They're the same thing. The first link is our page which is linking you to the second link I sent you. They're both installing the extension from the Chrome Web Store, as Google requires all extensions be hosted there. Glad that helped, but you may want to look into what's wrong with Opera. :blush:

  • Andy_A
    Andy_A
    Community Member
    Options

    So far I like Opera better than the others mainly because their favicons don't disappear on me, whats wrong is beyond my capabilities as a tech ...lol
    FYI your link doesn't take me anywhere......

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    It's not meant to take you anywhere. It's a direct link to install the extension. I'm happy that you're enjoying Opera though! :)

  • BigDave56
    BigDave56
    Community Member
    Options

    ****What worked for me was deactivating the extension, closing the browser, reopening the browser, and reactivating the extension. Didn't work with Opera at first but lo and behold, another Opera update rolled out in the meantime, and that one responded to this tactic.****

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    Aha! While I haven't personally encountered that issue in Opera, it is Chrome based and it's very common for things to break with extension support in Chrome when there's an update pending. Thanks for letting us know! It's something we'll keep in mind in the future. :)

  • rudy
    Options

    @BigDave56,

    Most likely the step that allowed it to work was but lo and behold, another Opera update rolled out in the meantime.

    Rudy

  • auludag
    auludag
    Community Member
    edited May 2018
    Options

    Restarted browser, restarted computer didn't help. updating Opera solved the problem for me. (current version 53.0.2907.68 )

  • littlebobbytables
    littlebobbytables
    1Password Alumni
    Options

    The Opera team are using a new signing certificate as of Opera 53. 1Password 6.8.8 only knew about the old certificate which allowed it to verify Opera 52 but not the current 53. 1Password 6.8.9 replaced the existing certificate details stored in 1Password with the new ones meaning 1Password 6.8.9 does require Opera 53. The updated certificates will allow 1Password 6 to continue supporting Opera for the duration of this new certificate.

  • BStephenMitchell
    BStephenMitchell
    Community Member
    Options

    I have not changed to your subscription version - I have a paid for version. Chrome works. 1Password ext for Opera does not. Opera up-to-date. 1Password:

    1Password
    Version 6.8.8 (688001)
    Mac App Store

    What now?

  • rudy
    Options

    @BStephenMitchell,

    In your case you'll want to drag 1Password.app to the trash, Open App Store.app, Navigate to the Purchases tab, scroll down to 1Password and click the install button.

    We did publish a 6.8.9 release which addresses Opera, but we've also pulled 1Password 6 from sale on the Mac App Store, which prevents it from showing the 6.8.9 update. Installing download 6.8.9.

    Rudy

  • alexanderbuck
    alexanderbuck
    Community Member
    edited May 2018
    Options

    I was having the same problem described in this thread.

    Was finally able to resolve it using the simple solution provide by littlebobbytables in this thread.

    I'm running MacOS 10.13 High Sierra on a 2017 13-inch MacBook Pro, Opera 53.0.2907.68.

    After upgrading to the latest version of Opera, I couldn't get the extension to work, nor was I getting prompted for a 1Password update from v6.8.8 to 6.8.9.

    Prior to that, I'd deleted Opera application and associated files from the User Library, all to no avail.

    Wondering if any of the AgileBits Team Members could comment on this?
    Specifically: why didn't the App Store prompt to install the incremental 1Password update from v6.8.8 to v6.8.9?
    Is it a certificate issue?

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    @alexanderbuck: Unfortunately that isn't a question we can answer, as the App Store is owned and operated (and coded) exclusively by Apple. Indeed, Opera changed their code signing certificate, so 1Password version 6.8.8 (and below) supports the old one and therefore can only connect to Opera 52 or lower, and 1Password version 6.8.9 (and above) supports their new certificate and can only connect to Opera 53 and above. I'm glad that you were able to get everything updated, in spite of the odd delay. Cheers! :)

  • rudy
    Options

    @alexanderbuck,

    The AppStore isn't offering updates for current installs of version 6 because we pulled it from Sale. However if you install it from your Purchases in App Store.app, it will give you 6.8.9 as the latest version.

    Rudy

  • alexanderbuck
    alexanderbuck
    Community Member
    Options

    @rudy @brenty Thanks for replying.

    All I’m saying in my above comment is @littlebobbytables presented at least to me the solution to this issue in the most effective manner.

    There may be others still attempting to resolve before paying to upgrade to a stand alone version of 1Password7, as I am planning to and mentioned to support on my Twitter feed.

  • littlebobbytables
    littlebobbytables
    1Password Alumni
    Options

    Hi @alexanderbuck,

    I'm glad you found my post helpful. As Rudy has mentioned the issue is one of bad timing. We released 1Password 6.8.9 as updates for both the Mac App Store and our direct download but it came so close to when we needed to remove 1Password 6 from sale that it caused this unfortunate and non-obvious dance to get the update. It isn't ideal and the only positive bit is those that really need the 6.8.9 update will likely contact us because their preferred browser isn't working with 1Password. We can then supply the steps to take.

    I'm not sure why Apple don't continue to show the available update even though we've removed it from sale, if there's a reason I can't think of what it might be.

  • alexanderbuck
    alexanderbuck
    Community Member
    edited May 2018
    Options

    I couldn't agree with you more @littlebobbytables. Ditto to @brenty & @rudy .

    I've seen 1Password get caught in a policy squeeze with Apple when trying to push out an update, remembering the days when existing users had to pay at a deeply discounted priced in order to sync with new iCloud services.

    It wasn't until I read your May 24 post in this thread that I understood why only Opera and not Firefox or Chrome was affected. Big Opera fan here.

    I love how 1Password supports Opera natively and doesn't make you add "install Chrome Extensions" like Dashlane (hiss 🤬) requires.

    Yeah, I know > we're going into the weeds: Problem Solved!

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    Hey, I hear you. It's even more confusing for less technially-savvy users. Just glad to hear that all is well for you now. Have a great weekend! :)

This discussion has been closed.